<?php
define('SIG_DEBUG', is_file(__DIR__ . '/.debug'));
define('SIG_ASSETS', __DIR__ . '/assets');

define('SIG_WIDTH', 400);
define('SIG_HEIGHT', 100);
define('SIG_AGE', 60);
define('SIG_FOOTER', SIG_ASSETS . '/img/footer.png');

define('FW_FONT_FAM', SIG_ASSETS . '/fonts/Electrolize-Regular.ttf');
define('FW_FONT_SIZE', 26);
define('FW_TEXT', 'flashwave');

define('FA_FONT_FAM', SIG_ASSETS . '/fonts/fa-solid-900.ttf');

define('BG_PATH', SIG_ASSETS . '/bgs');
define('BG_IMAGE', 'bg6.png');

define('NP_FONT_FAM', SIG_ASSETS . '/fonts/NotoSansJP-Regular.otf');
define('NP_FONT_SIZE', 13.8);
define('NP_FONT_SIZE_SMALL', 9.6);
define('NP_FONT_SIZE_ICON', 17);
define('NP_URL', 'https://now.flash.moe/get.php?u=flashwave_');
define('NP_INFO', '/tmp/sig-np-h5OPrgyk.json');
define('NP_COVER_IMG', '/tmp/sig-cover-EhhaGACQ.png');
define('NP_COVER_DEFAULT', '2a96cbd8b46e442fc41c2b86b821562f.png');
define('NP_COVER_PAD', 5);
define('NP_COVER_FRAME', 1);
define('NP_COVER_RES', SIG_HEIGHT - (NP_COVER_PAD * 2));

if(SIG_DEBUG) {
    ini_set('display_errors', 'on');
    error_reporting(-1);
} else {
    ini_set('display_errors', 'off');
    error_reporting(0);
}
